TFullCostList< Transform > Class Template Reference
Image Registration and Transformation

A accumulation of cost functions that are weigted against each other. More...

`#include <mia/template/multicost.hh>`

Inheritance diagram for TFullCostList< Transform >:
[legend]
Collaboration diagram for TFullCostList< Transform >:
[legend]

## Public Types

typedef TFullCost< Transform >::Pointer | Pointer
| The pointer type of this cost function.
typedef TFullCost< Transform >::Size | Size
| The size type of this cost function type.
Public Types inherited from TFullCost< Transform >
typedef TFullCost< Transform > | plugin_data
| helper type for plug-in handling
typedef TFullCost< Transform > | plugin_type
| helper type for plug-in handling
typedef std::shared_ptr< TFullCost< Transform > > | Pointer
| The shatred pointer type for this cost function.
typedef Transform::Size | Size
| Typedef of the size of the data considered by this cost function.
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

void | push (typename TFullCost< Transform >::Pointer cost)
| TFullCostList ()
Public Member Functions inherited from TFullCost< Transform >
double | cost_value () const
double | cost_value (const Transform &t) const
double | evaluate (const Transform &t, CDoubleVector &gradient) const
bool | get_full_size (Size &size) const
void | reinit ()
void | set_size (const Size &size)
| TFullCost (double weight)
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Additional Inherited Members

Static Public Attributes inherited from TFullCost< Transform >
static const char * | data_descr
| helper string for plug-in handling
static const char * | type_descr
| helper string for plug-in handling
Protected Member Functions inherited from TFullCost< Transform >
const Size & | get_current_size () const
double | get_weight () const

## Detailed Description

template<typename Transform>
class TFullCostList< Transform >

A accumulation of cost functions that are weigted against each other.

Template Parameters

  Transform | the transformation type used to achieve registration by optimizing the cost function

This class is used to accumulate various cost measures to be optimized for image registration.

Definition at line 36 of file template/multicost.hh.

## Member Typedef Documentation

## Pointer

template<typename Transform>

typedef TFullCost<Transform>::Pointer TFullCostList< Transform >::Pointer

The pointer type of this cost function.

Definition at line 42 of file template/multicost.hh.

## Size

template<typename Transform>

typedef TFullCost<Transform>::Size TFullCostList< Transform >::Size

The size type of this cost function type.

Definition at line 45 of file template/multicost.hh.

## Constructor & Destructor Documentation

## TFullCostList()

template<typename Transform>

TFullCostList< Transform >::TFullCostList | ( |  | ) |

## Member Function Documentation

## push()

template<typename Transform>

void TFullCostList< Transform >::push | ( | typename TFullCost< Transform >::Pointer | cost | ) |

Append a new cost function to the list

Parameters

  cost | a shared pointer to the new cost measure.

The documentation for this class was generated from the following file:

- template/multicost.hh